Bug 1771334 - Unable to delete deployed virt-who configuration
Summary: Unable to delete deployed virt-who configuration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Virt-who Configure Plugin
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: 6.7.0
Assignee: Marek Hulan
QA Contact: Kunxin Huang
satellite-doc-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-12 07:54 UTC by Kunxin Huang
Modified: 2020-04-14 13:26 UTC (History)
5 users (show)

Fixed In Version: tfm-rubygem-foreman_virt_who_configure-0.5.0, tfm-rubygem-foreman-tasks-0.17.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:26:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28273 High Closed Unable to delete a user who has tasks 2020-06-19 09:44:25 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:26:33 UTC

Comment 3 Marek Hulan 2019-11-15 13:24:27 UTC
This is caused by tasks still referencing the user (that has changed in 6.6 to be explicit relation). We'll need to nullify the reference on configuration deletion.

Comment 4 Adam Ruzicka 2019-11-15 13:30:52 UTC
Created redmine issue https://projects.theforeman.org/issues/28273 from this bug

Comment 11 errata-xmlrpc 2020-04-14 13:26:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.